import { ColDef } from 'ag-grid-enterprise';
import { ActionColumn, ActionColumnButton, ActionColumnContext } from '../../AdaptableOptions/ActionColumnOptions';
import { AdaptableButton } from '../../AdaptableState/Common/AdaptableButton';
import { ApiBase } from '../Implementation/ApiBase';
export declare class ActionColumnInternalApi extends ApiBase {
    getColDefsForActionColumns(): ColDef[];
    getActionColumnsAndButtons(colDef: ColDef): {
        actionButtons: AdaptableButton<ActionColumnContext>[];
        actionColumn: ActionColumn | undefined;
    };
    updateAllActionColumnButtons(actionButtons: ActionColumnButton<ActionColumnContext<any>>[]): any;
    updateActionButtonCommand(button: ActionColumnButton<ActionColumnContext<any>>): void;
}
